<?php
/**
* Plugin offlineClass
*
* @package	PLX
* @version	1.0
* @date	25/08/23
* @author Bronco
**/
class offlineClass extends plxPlugin {
		private $class_name;
		private $move;

	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);
	
		# limite l'acces a l'ecran de configuration du plugin
		# PROFIL_ADMIN , PROFIL_MANAGER , PROFIL_MODERATOR , PROFIL_EDITOR , PROFIL_WRITER
		$this->setConfigProfil(PROFIL_ADMIN);		
		$this->class_name=$this->getParam("class_name");
		$this->move=$this->getParam("move");

		# Declaration d'un hook (existant ou nouveau)
		$this->addHook('AdminCommentsFoot','AdminCommentsFoot');
		$this->addHook('AdminIndexFoot',   'AdminIndexFoot');
	
	}

	# Activation / desactivation
	public function OnActivate() {
		
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	

	########################################
	# HOOKS
	########################################


	########################################
	# AdminCommentsFoot	
	########################################
	# Description:
	public function AdminCommentsFoot(){
		echo '<script src="'.PLX_PLUGINS.'/offlineClass/VanillaJS.js"></script>';
		echo '<script>
			each("td.status",function(td){
					if (td.innerHTML=="Hors ligne"){
						let tr=parent(td);
						addClass(tr,"'.$this->class_name.'")
					}
				});
			</script>';
		if ($this->move=='1'){
		echo '<script>
			let list=first("tbody");
			each(".'.$this->class_name.'",function(tr){
					list.prepend(tr); 
				});
			</script>';
		}
	}
	public function AdminIndexFoot(){
		echo '<script src="'.PLX_PLUGINS.'/offlineClass/VanillaJS.js"></script>';
		echo '<script>
		each("#form_articles td strong",function(td){				
					let tr=parent(td,2);
					addClass(tr,"'.$this->class_name.'")
			});
		</script>';
		if ($this->move=='1'){
		echo '<script>
			let list=first("tbody");
			each(".'.$this->class_name.'",function(tr){
					list.prepend(tr); 
				});
			</script>';
		}
	}

	

}





/* Pense-bete:
 * Récuperer des parametres du fichier parameters.xml
 *	$this->getParam("<nom du parametre>")
 *	$this-> setParam ("param1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 *
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_PLUGINS
 * PLX_CONFIG_PATH
 * PLX_ADMIN (true si on est dans admin)
 * PLX_CHARSET
 * PLX_VERSION
 * PLX_FEED
 *
 * Appel de HOOK dans un thème
 *	eval($plxShow->callHook("ThemeEndHead","param1"))  ou eval($plxShow->callHook("ThemeEndHead",array("param1","param2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","param1"));
 */